/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.model;

/** Generated Model - DO NOT CHANGE */
import java.sql.*;
import java.math.*;
import org.compiere.framework.*;
import org.compiere.util.*;
/** Generated Model for AD_AssignLog
 *  @author Jorg Janke (generated) 
 *  @version Release 3.0.0 - $Id: GenerateModel.java,v 1.1 2008/01/16 07:34:32 jrmt Exp $ */
public class X_AD_AssignLog extends PO
{
/** Standard Constructor
@param ctx context
@param AD_AssignLog_ID id
@param trxName transaction
*/
public X_AD_AssignLog (Ctx ctx, int AD_AssignLog_ID, String trxName)
{
super (ctx, AD_AssignLog_ID, trxName);
/** if (AD_AssignLog_ID == 0)
{
setAD_AssignLog_ID (0);
setAD_AssignTarget_ID (0);
}
 */
}
/** Load Constructor 
@param ctx context
@param rs result set 
@param trxName transaction
*/
public X_AD_AssignLog (Ctx ctx, ResultSet rs, String trxName)
{
super (ctx, rs, trxName);
}
/** Serial Version No */
static final long serialVersionUID = 27462348441789L;
/** Last Updated Timestamp 2007-05-27 08:45:25.0 */
public static final long updatedMS = 1180223125000L;
/** AD_Table_ID=933 */
public static final int Table_ID=933;

/** TableName=AD_AssignLog */
public static final String Table_Name="AD_AssignLog";

protected static KeyNamePair Model = new KeyNamePair(933,"AD_AssignLog");

protected BigDecimal accessLevel = new BigDecimal(6);
/** AccessLevel
@return 6 - System - Client 
*/
protected int get_AccessLevel()
{
return accessLevel.intValue();
}
/** Load Meta Data
@param ctx context
@return PO Info
*/
protected POInfo initPO (Ctx ctx)
{
POInfo poi = POInfo.getPOInfo (ctx, Table_ID);
return poi;
}
/** Info
@return info
*/
public String toString()
{
StringBuffer sb = new StringBuffer ("X_AD_AssignLog[").append(get_ID()).append("]");
return sb.toString();
}
/** Set Assign Log.
@param AD_AssignLog_ID Assignment Log */
public void setAD_AssignLog_ID (int AD_AssignLog_ID)
{
if (AD_AssignLog_ID < 1) throw new IllegalArgumentException ("AD_AssignLog_ID is mandatory.");
set_ValueNoCheck ("AD_AssignLog_ID", new Integer(AD_AssignLog_ID));
}
/** Get Assign Log.
@return Assignment Log */
public int getAD_AssignLog_ID() 
{
Integer ii = (Integer)get_Value("AD_AssignLog_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Assign Target.
@param AD_AssignTarget_ID Automatic Assignment Target Column */
public void setAD_AssignTarget_ID (int AD_AssignTarget_ID)
{
if (AD_AssignTarget_ID < 1) throw new IllegalArgumentException ("AD_AssignTarget_ID is mandatory.");
set_ValueNoCheck ("AD_AssignTarget_ID", new Integer(AD_AssignTarget_ID));
}
/** Get Assign Target.
@return Automatic Assignment Target Column */
public int getAD_AssignTarget_ID() 
{
Integer ii = (Integer)get_Value("AD_AssignTarget_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Comment.
@param Help Comment, Help or Hint */
public void setHelp (String Help)
{
if (Help != null && Help.length() > 2000)
{
log.warning("Length > 2000 - truncated");
Help = Help.substring(0,2000);
}
set_Value ("Help", Help);
}
/** Get Comment.
@return Comment, Help or Hint */
public String getHelp() 
{
return (String)get_Value("Help");
}
/** Set Record ID.
@param Record_ID Direct internal record ID */
public void setRecord_ID (int Record_ID)
{
if (Record_ID <= 0) set_Value ("Record_ID", null);
else
set_Value ("Record_ID", new Integer(Record_ID));
}
/** Get Record ID.
@return Direct internal record ID */
public int getRecord_ID() 
{
Integer ii = (Integer)get_Value("Record_ID");
if (ii == null) return 0;
return ii.intValue();
}
}
